#
# spec file for package xfstt (Version 1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xfstt
Version:      1.1
Release:      269
Summary:      True Type server for XFree86 3.x
Copyright:   GPL
Group:       X11/Fonts
Provides:    xfstt
Requires:    xf86
Autoreqprov: on
Source:  ftp://metalab.unc.edu/pub/Linux/X11/fonts/xfstt-%{version}.tar.bz2
Source1: rcxfstt
Source2: rc.config.xfstt
Source3: README.SuSE
Patch:   xfstt-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
This is a True Type server for XFree86 3.x. You need this to show True Type
fonts on your screen. Please read the file /usr/share/doc/packages/xfstt/README.SuSE
to enable the True Type Font support.

Authors:
--------
    Herbert Duerr <duerr@de.ibm.com>

SuSE series: x

%prep
%setup -n xfstt-1.1
%patch

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1,lib/X11/fonts/truetype}
mkdir -p $RPM_BUILD_ROOT/var/cache/xfstt
install -s -m 0755 xfstt $RPM_BUILD_ROOT/usr/X11R6/bin/
install -m 0644 xfstt.1x $RPM_BUILD_ROOT/usr/X11R6/man/man1/
mkdir -p $RPM_BUILD_ROOT/{etc/init.d,usr/sbin}
install -m 755 %{_sourcedir}/rcxfstt $RPM_BUILD_ROOT/etc/init.d/xfstt
ln -sf ../../etc/init.d/xfstt $RPM_BUILD_ROOT/usr/sbin/rcxfstt
install -d -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{_sourcedir}/rc.config.xfstt \
               $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.xfstt
cp %{_sourcedir}/README.SuSE .

%clean
rm -rf $RPM_BUILD_ROOT

%post
#!/bin/bash
echo -n "Updating etc/rc.config... "
if [ -x bin/fillup ] ; then
    bin/fillup -q -d "=" etc/rc.config var/adm/fillup-templates/rc.config.xfstt
    echo "Done."
else
    echo
    echo "ERROR: fillup not found. This should not happen. Please compare"
    echo "etc/rc.config and var/adm/fillup-templates/rc.config.xfstt and"
    echo "update manually."
fi
sbin/insserv etc/init.d/xfstt

%postun
sbin/insserv etc/init.d/

%files
%doc INSTALL FAQ COPYING CHANGES THANKS.txt README.txt ttfont.html 
%doc font.properties README.SuSE
/usr/X11R6/lib/X11/fonts/truetype
/var/cache/xfstt
/usr/X11R6/bin/xfstt
%doc /usr/X11R6/man/man1/xfstt.1x.gz
%config /etc/init.d/xfstt
/usr/sbin/rcxfstt
/var/adm/fillup-templates/rc.config.xfstt

%changelog -n xfstt
* Wed Jul 04 2001 - nadvornik@suse.cz
- fixed init script [bug #9113]
* Thu Mar 22 2001 - nadvornik@suse.cz
- freetype in neededforbuild was needless, removed
* Thu Mar 08 2001 - nadvornik@suse.cz
- run as user nobody
* Fri Mar 02 2001 - nadvornik@suse.cz
- child processes doesn't try to delete /tmp/.font-unix (bug #6174)
* Wed Dec 20 2000 - nadvornik@suse.cz
- set XFSTT_START to "no" by default
* Tue Dec 05 2000 - schwab@suse.de
- Fix missing cast.
* Wed Nov 29 2000 - nadvornik@suse.cz
- moved init script to /etc/init.d
* Wed Nov 22 2000 - nadvornik@suse.cz
- removed runlevel links
- fixed init script
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
- used bzip2
* Fri Jun 16 2000 - nadvornik@suse.cz
- run with --encoding iso8859-1,iso8859-2
* Wed May 17 2000 - nadvornik@suse.cz
- added BuildRoot
- used %%doc macro
- changed Group tag
* Mon Mar 20 2000 - adrian@suse.de
- fixed a race at boot time
* Mon Mar 06 2000 - adrian@suse.de
- fixed the start script
* Tue Feb 29 2000 - adrian@suse.de
- fixed the Check statement
* Wed Feb 23 2000 - adrian@suse.de
- update to version 1.1
* Tue Jan 25 2000 - adrian@suse.de
- initial release. The True Type server for XFree86 3.x
